import 'package:diplomaticquarterapp/config/config.dart';
import 'package:diplomaticquarterapp/config/shared_pref_kay.dart';
import 'package:diplomaticquarterapp/core/model/contactus/get_hmg_locations.dart';
import 'package:diplomaticquarterapp/core/model/contactus/get_patientI_cprojects.dart';
import '../base_service.dart';

class LiveChatService extends BaseService {
  List<GetPatientICProjectsModel> LivechatModelList = List();

  Map<String, dynamic> body = Map();
 // body['body']

  Future getAllLiveChatOrders() async {
    hasError = false;
    body['List_PatientICProjects'] = false;
    await baseAppClient.post(GET_LIVECHAT_REQUEST,
        onSuccess: (dynamic response, int statusCode) {
      LivechatModelList.clear();

      response['List_PatientICProjects'].forEach((vital) {
        LivechatModelList.add(GetPatientICProjectsModel.fromJson(vital));
      });
    }, onFailure: (String error, int statusCode) {
      hasError = true;
      super.error = error;
    }, body: body);
  }
}
